Plotting package installation problem

Discussion on computers, ROMS installation and compiling

Moderators: arango, robertson

Post Reply
Message
Author
jackjhz1321
Posts: 1
Joined: Sun May 20, 2018 1:50 pm
Location: University of Florida

Plotting package installation problem

#1 Post by jackjhz1321 » Tue May 07, 2019 3:48 am

Hi all,
I'm very new to ROMS (and cygwin, and Linux, and so many other related things...) so I apologize if I'm asking stupid questions.

I have set up ROMS with cygwin and able to run some test case examples like upwelling and estuary_test. Now I want visualize the results so I follow https://www.myroms.org/wiki/Plotting_Pa ... stallation this tutorial to try to set up the plotting package.

However when I tried to install NCL, I realized that they no longer support cygwin, so I instead install NCL with Ubuntu.

Therefore my first question is: is it OK to install NCL with Ubuntu rather then cygwin?

Then, I continued to modify the makefile and the CYGWIN-gfortran.mk to the best I can (like changing the NCARG_ROOT, NETCDF_INCDIR, and NETCDF_LIBDIR in the .mk file). But still get these during make:

$ make
/usr/bin/gfortran -O3 -ffast-math Build_plt/ccnt.o Build_plt/cpmpxy2d.o Build_plt/mapeod.o Build_plt/stumsl.o Build_plt/stumxy.o Build_plt/vvumxy.o -o E:/ROMS/src/plot/ccnt.exe Build_plt/libUTIL.a -LC:/Users/JavaLoveShannon/AppData/Local/Packages/CanonicalGroupLimited.UbuntuonWindows_79rhkp1fndgsc/LocalState/rootfs/home/javazhou/.conda/pkgs/ncl-6.6.2-hc2f75e0_2/lib -lncarg -lncarg_gks -lncarg_c -L/usr/X11R6/lib -lX11 -L/usr/local/lib -lnetcdf
collect2: fatal error:ld terminated with signal 11 [Segmentation fault], core dumped
/usr/lib/gcc/x86_64-pc-cygwin/7.4.0/../../../../x86_64-pc-cygwin/bin/ld: BFD (GNU Binutils) 2.29.1.20171006 assertion fail /cygdrive/i/szsz/tmpp/cygwin64/binutils/binutils-2.29-1.x86_64/src/binutils-gdb/bfd/cofflink.c:265
make: *** [Drivers/Module.mk:51:E:/ROMS/src/plot/ccnt.exe] error 1

I have no idea what is going on here. Any help will be appreciated. Thank you!!!!!
Attachments
CYGWIN-gfortran.mk
(2.71 KiB) Downloaded 17 times

User avatar
robertson
Site Admin
Posts: 121
Joined: Wed Feb 26, 2003 3:12 pm
Location: IMCS, Rutgers University

Re: Plotting package installation problem

#2 Post by robertson » Tue May 07, 2019 1:19 pm

Once you switch to Ubuntu, the plotting package will look for Linux-gfortran.mk not CYGWIN-gfortran.mk. Also, I would suggest a switch to using the build script (src/Bin/build_plt.{sh|bash}) so you don't have to modify the Linux-gfortran.mk file directly.

Post Reply